<?php

namespace App\Auth;

interface SessionRepository
{
    public function create(CreateSessionDto $dto): Session;

    public function findByToken(string $token): ?Session;

    public function deleteByToken(string $token): void;
}
